#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int N,K,s=0;
    scanf("%ld%ld",&N,&K);
    long int a[N];
    long int ar[2*N+1];
    long int ar1[2*N+1];
    for(int i=0;i<2*N+1;i++){
        ar[i]=0;
        ar1[i]=0;
    }
    for(int i=0;i<N;i++){
        scanf("%ld",&a[i]);
        ar[a[i]+N]++;
    }
    for(int i=0;i<2*N+1;i++){
        if(ar[i]>=K){
            s++;
            ar1[i]=1;
        }
    }
    printf("%ld\n",s);
    for(int i=0;i<2*N+1;i++){
            if(ar1[i]==1)
            printf("%d ",i-N);
    }
    return 0;
}